// Interface Elements header: IEAddOn.h
// Last modified 16 Feb 1997
// (c) 1997 Attila Mezei
// Do not modify this file!


#ifndef _IEADDON_H_
#define _IEADDON_H_


// export only one C function
#pragma export on
extern "C" void *message_port(BMessage *message);
#pragma export reset



// message constants
#define IE_INIT 'Init'
#define IE_EXIT 'Exit'
#define IE_NEW 'New!'
#define IE_EDIT 'Edit'
#define IE_GENERATE 'Gen!'
#define IE_STRIP 'Strp'
#define IE_GENERATE_MESSAGE_HANDLER 'GenM'

#define IE_OK 'OK!!'
#define IE_ERROR 'Err!'


// this is posted when the add-on window is closed:
#define IE_WINDOW_CLOSED 'IEwc'
// this can be posted when the user changes a value, so that the resource list is updated (not implemented)
#define IE_UPDATE_LIST 'IEul'
// post it to the main application when you want to edit your data in a hex editor
#define IE_EDIT_AS_HEX 'IEex'
// post it to the main application when you want to edit your data in a text editor
#define IE_EDIT_AS_TEXT 'IEet'
// the main application will send it when the user finished editing data in a hex/text editor editor
#define IE_DATA_EDITED 'IEda'
// you can get information about all the resources from the main application
#define IE_GET_RESOURCES 'IEgr'
// the answer for IE_GET_RESOURCES with as many "resourceinfo" B_RAW_DATA as the resources
#define IE_RESOURCES 'IEre'




// this is how the resources are stored in the main application; usually you do not need this
// only when you request the resources with IE_GET_RESOURCES/IE_RESOURCES
struct ResourceInfo
{
	char name[64];
	ulong type;
	long ID;
	void *data;
	long datalength;
	
};

#endif